local type   = type
local string = string

local en = Turbine.Language.English
local fr = Turbine.Language.French
local de = Turbine.Language.German
local ru = 0 --Turbine.Language.Russian

Group.language = Turbine.Engine.GetLanguage()

if Group.language == Turbine.Language.EnglishGB then Group.language = Turbine.Language.English end

function Group:Local( str )
    if not ( type( str ) == "string" ) then return "N/A" end

    if not self.Localization[ str ] then return "N/A" end

    if not ( self.Localization[ str ][ self.language ] == "" ) then
        return self.Localization[ str ][ self.language ]
    else
        if not ( self.Localization[ str ][ en ] == "" ) then
            return self.Localization[ str ][ en ]
        else
            return "N/A"
        end
    end
end

function Group:SetLanguage( language )
    self.language = language
end

function Group:GetLanguage()
    return self.language
end

Group.Localization = {
    --[[

    TEST = {
        [ en ] = "TEST",
        [ fr ] = "TEST",
        [ de ] = "TEST",
        [ ru ] = ""
    },

    ]]

    --Plugin Version

    Internal_Version = { --Include a space at the end!
        [ en ] = "Version ",
        [ fr ] = "Version ",
        [ de ] = "Version ",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Effect names used internally
    --These needs to be checked ingame on the correct client to make sure it's accurate.

    Internal_CC_1 = { --Needs to be the exact effect name!
        [ en ] = "Stunned",
        [ fr ] = "Étourdi",
        [ de ] = "Betäubt",
        [ ru ] = ""
    },

    Internal_CC_2 = { --Needs to be the exact effect name!
        [ en ] = "Knocked Down",
        [ fr ] = "Renversé",
        [ de ] = "Niedergeschlagen",
        [ ru ] = ""
    },

    Internal_CC_3 = { --Needs to be the exact effect name!
        [ en ] = "Dazed",
        [ fr ] = "Hébété",
        [ de ] = "Benommenheit",
        [ ru ] = ""
    },

    Internal_CC_4 = { --Needs to be the exact effect name!
        [ en ] = "Rooted",
        [ fr ] = "Immobilisé",
        [ de ] = "Angewurzelt",
        [ ru ] = ""
    },

    Internal_CC_5 = { --Needs to be the exact effect name!
        [ en ] = "Feared",
        [ fr ] = "Effrayé",
        [ de ] = "Gefürchtet",
        [ ru ] = ""
    },

    Internal_CC_6 = { --Needs to be the exact effect name!
        [ en ] = "Slow",
        [ fr ] = "Ralenti",
        [ de ] = "Verlangsamt",
        [ ru ] = ""
    },

    Internal_CC_7 = { --Needs to be the exact effect name!
        [ en ] = "Frost-fingered Fear",
        [ fr ] = "Peur aux doigts givrés",
        [ de ] = "Saat der Meinungsverschiedenheit",
        [ ru ] = ""
    },

    Internal_DNF = {  --Needs to be the exact effect name!
        [ en ] = "Do Not Fall This Day",
        [ fr ] = "Tu ne Succomberas pas aujourd’hui",
        [ de ] = "Tod heute nicht unterliegen",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Chat messages related to Fellowships and Raids, these need to be accurate or the plugin wont work properly!

    --You can't translate this directly, you need to check ingame what message is displayed in the chat when you leave, join, kick etc...

    --To make sure this is accurate you need to test it on the client in question ( English, French, German, Russian? )

    --Please note as different languages are structured differently syntax vise, this may not fit in certain lines as the <Name> may not be in the same place.
    --If this is the case please contact me and i will work out a solution.

    Chat_Raid_Convert = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "You have joined the chat room for your raid, raid chat is now available." ),
        [ fr ] = string.lower( "Vous avez rejoint la salle de discussion de votre raid, la discussion de raid est désormais disponible." ),
        [ de ] = string.lower( "Ihr habt den Chat-Raum Eurer Gefährtengruppe betreten. Der Gefährten-Chat ist jetzt verfügbar." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Fellowship_Join = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " has joined your Fellowship." ), -- "<Name> has joined your Fellowship."
        [ fr ] = string.lower( " a rejoint votre communauté." ),
        [ de ] = string.lower( " hat sich Eurer Gruppe von Gefährten angeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Join = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " has joined your Raid." ), -- "<Name> has joined your Raid."
        [ fr ] = string.lower( " a rejoint votre raid." ),
        [ de ] = string.lower( " hat sich Eurem Schlachtzug angeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Fellowship_Join_Self = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "You have joined a Fellowship." ),
        [ fr ] = string.lower( "Vous avez rejoint une communauté." ),
        [ de ] = string.lower( "Ihr habt Euch einer Gruppe von Gefährten angeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Join_Self = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "You have joined a Raid." ),
        [ fr ] = string.lower( "Vous avez rejoint un raid." ),
        [ de ] = string.lower( "Ihr habt Euch einem Schlachtzug angeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Fellowship_Leave = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " has left your Fellowship." ), -- "<Name> has left your Fellowship."
        [ fr ] = string.lower( " a quitté votre communauté." ),
        [ de ] = string.lower( " hat Eure Gruppe von Gefährten verlassen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Leave = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " has left your Raid." ), -- "<Name> has left your Raid."
        [ fr ] = string.lower( " a quitté votre raid." ),
        [ de ] = string.lower( " hat Euren Schlachtzug verlassen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Fellowship_Leave_Self = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "You leave your Fellowship." ),
        [ fr ] = string.lower( "Vous quittez votre communauté." ),
        [ de ] = string.lower( "Ihr verlasst Eure Gruppe von Gefährten." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Leave_Self = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "You leave your Raid." ),
        [ fr ] = string.lower( "Vous quittez votre raid." ),
        [ de ] = string.lower( "Ihr verlasst den Schlachtzug." ),
        [ ru ] = string.lower( "" )
    },

    ------------------------------------------------------

    --Full message: "You dismiss <Name> from the fellowship." and "You dismiss <Name> from the Raid."

    Chat_Self_Dismiss_Start = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( "You dismiss " ),
        [ fr ] = string.lower( "Vous renvoyez " ),
        [ de ] = string.lower( "Ihr schließt " ),
        [ ru ] = string.lower( "" )
    },

    Chat_Fellowship_Dismiss_End = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " from the fellowship." ),
        [ fr ] = string.lower( " de votre communauté." ),
        [ de ] = string.lower( " aus der Gruppe von Gefährten aus." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Dismiss_End = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " from the Raid." ),
        [ fr ] = string.lower( " du raid." ),
        [ de ] = string.lower( " aus dem Schlachtzug aus." ),
        [ ru ] = string.lower( "" )
    },

    ------------------------------------------------------

    Chat_Fellowship_Dismiss = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " has been dismissed from your Fellowship." ), -- "<Name> has been dismissed from your Fellowship."
        [ fr ] = string.lower( " ne fait plus partie de votre communauté." ),
        [ de ] = string.lower( " wurde aus Eurer Gruppe von Gefährten ausgeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Dismiss = { --Needs to be the exact message, capital letters doesn't matter. Include the spaces, but not the name.
        [ en ] = string.lower( " has been dismissed from your Raid." ), -- "<Name> has been dismissed from your Raid."
        [ fr ] = string.lower( " ne fait plus partie de votre raid." ),
        [ de ] = string.lower( " wurde aus Eurem Schlachtzug ausgeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Fellowship_Dismiss_Self = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "You have been dismissed from your Fellowship." ),
        [ fr ] = string.lower( "Vous avez été renvoyé de votre communauté." ),
        [ de ] = string.lower( "Ihr wurdet aus Eurer Gruppe von Gefährten ausgeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Dismiss_Self = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "You have been dismissed from your Raid." ),
        [ fr ] = string.lower( "Vous avez été renvoyé de votre raid." ),
        [ de ] = string.lower( "Ihr wurdet aus Eurem Schlachtzug ausgeschlossen." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Fellowship_Disband = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "Your Fellowship has been disbanded." ),
        [ fr ] = string.lower( "Votre communauté s'est rompue." ),
        [ de ] = string.lower( "Eure Gruppe von Gefährten wurde aufgelöst." ),
        [ ru ] = string.lower( "" )
    },

    Chat_Raid_Disband = { --Needs to be the exact message, capital letters doesn't matter.
        [ en ] = string.lower( "Your Raid has been disbanded." ),
        [ fr ] = string.lower( "Votre raid a été dissout." ),
        [ de ] = string.lower( "Euer Schlachtzug wurde aufgelöst." ),
        [ ru ] = string.lower( "" )
    },

    ------------------------------------------------------

    --Chat commands

    -- /miniraid options
    -- /miniraid reload
    -- /miniraid record start
    -- /miniraid record stop

    --Must not include any spaces!

    Chat_Command_Self = {
        [ en ] = "miniraid",
        [ fr ] = "miniraid",
        [ de ] = "miniraid",
        [ ru ] = ""
    },

    Chat_Command_Options = {
        [ en ] = "options",
        [ fr ] = "options",
        [ de ] = "optionen",
        [ ru ] = ""
    },

    Chat_Command_Effects = {
        [ en ] = "effects",
        [ fr ] = "effets",
        [ de ] = "effekte",
        [ ru ] = ""
    },

    Chat_Command_Reload = {
        [ en ] = "reload",
        [ fr ] = "recharger",
        [ de ] = "neu laden",
        [ ru ] = ""
    },

    Chat_Command_Record = {
        [ en ] = "record",
        [ fr ] = "enregistrer",
        [ de ] = "aufzeichnen",
        [ ru ] = ""
    },

    Chat_Command_Help = {
        [ en ] = "help",
        [ fr ] = "aide",
        [ de ] = "hilfe",
        [ ru ] = ""
    },

    Chat_Command_Toggle_Party_Vitals = {
        [ en ] = "party",
        [ fr ] = "",
        [ de ] = "",
        [ ru ] = ""
    },

    Chat_Command_Toggle_Player_Vitals = {
        [ en ] = "player",
        [ fr ] = "",
        [ de ] = "",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Chat Messages

    Chat_Message_Invalid = { --Include a colon and space at the end!
        [ en ] = "Invalid command: ",
        [ fr ] = "Commande invalide: ",
        [ de ] = "Unbekannter Befehl: ",
        [ ru ] = ""
    },

    Chat_Message_Help = {
        [ en ] = "Commands:\n" ..
                 "        /miniraid options\n" ..
                 "        /miniraid effects\n" ..
                 "        /miniraid record\n" ..
                 "        /miniraid reload\n" ..
                 "        /miniraid player\n" ..
                 "        /miniraid party\n" ..
                 "        /miniraid help\n",
        [ fr ] = "Commandes:\n" ..
                 "        /miniraid options\n" ..
                 "        /miniraid effets\n" ..
                 "        /miniraid enregistrer\n" ..
                 "        /miniraid recharger\n" ..
                 "        /miniraid player\n" ..
                 "        /miniraid party\n" ..
                 "        /miniraid aide\n",
        [ de ] = "Befehle:\n" ..
                 "        /miniraid optionen\n" ..
                 "        /miniraid effekte\n" ..
                 "        /miniraid aufnehmen\n" ..
                 "        /miniraid neu laden\n" ..
                 "        /miniraid player\n" ..
                 "        /miniraid party\n" ..
                 "        /miniraid hilfe\n",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Notifications

    Notification_Record_Start = {
        [ en ] = "Effects are now being recorded!",
        [ fr ] = "Les effets sont maintenant enregistrés !",
        [ de ] = "Effekte werden jetzt aufgezeichnet!",
        [ ru ] = ""
    },

    Notification_Record_Stop = {
        [ en ] = "Effects are no longer being recorded!",
        [ fr ] = "Les effets ne sont plus enregistrés !",
        [ de ] = "Effekte werden nicht mehr aufgezeichnet!",
        [ ru ] = ""
    },

    Notification_Toggle_Off = {
        [ en ] = "Party layout has been made invisible!",
        [ fr ] = "La disposition des groupes a été rendue invisible !",
        [ de ] = "Gruppenlayout wurde ausgeblendet!",
        [ ru ] = ""
    },

    Notification_Toggle_On = {
        [ en ] = "Party layout is now visible!",
        [ fr ] = "La disposition des groupes est maintenant visible !",
        [ de ] = "Gruppenlayout ist jetzt sichtbar!",
        [ ru ] = ""
    },

    Notification_Effect_Track = {
        [ en ] = "\"<effect>\" is now being tracked!",
        [ fr ] = "\"<effect>\" est maintenant suivi !",
        [ de ] = "\"<effect>\" wird jetzt verfolgt!",
        [ ru ] = ""
    },

    Notification_Effect_Alert = {
        [ en ] = "\"<effect>\" is now being alerted!",
        [ fr ] = "\"<effect>\" est maintenant alerté !",
        [ de ] = "\"<effect>\" löst jetzt eine Warnung aus!",
        [ ru ] = ""
    },

    Notification_Effect_Blacklist = {
        [ en ] = "\"<effect>\" has been added to the blacklist!",
        [ fr ] = "\"<effect>\" a été ajouté à la liste noire !",
        [ de ] = "\"<effect>\" wurde zur Schwarzen Liste hinzugefügt!",
        [ ru ] = ""
    },

    Notification_Effect_Special = {
        [ en ] = "\"<effect>\" has been set as special effect!",
        [ fr ] = "\"<effect>\" a été défini comme effet spécial !",
        [ de ] = "\"<effect>\" als Spezialeffekt festgelegt!",
        [ ru ] = ""
    },

    Notification_Effect_Track_Removed = {
        [ en ] = "\"<effect>\" has been removed from tracking!",
        [ fr ] = "\"<effect>\" a été enlevé du suivi !",
        [ de ] = "\"<effect>\" wird jetzt von der Verfolgung ausgenommen!",
        [ ru ] = ""
    },

    Notification_Effect_Alert_Removed = {
        [ en ] = "\"<effect>\" has been removed from alerts!",
        [ fr ] = "\"<effect>\" a été enlevé des alertes !",
        [ de ] = "\"<effect>\" aus der Liste der Warnungen entfernt!",
        [ ru ] = ""
    },

    Notification_Effect_Blacklist_Removed = {
        [ en ] = "\"<effect>\" has been removed from the blacklist!",
        [ fr ] = "\"<effect>\"  a été enlevé de la liste noire !",
        [ de ] = "\"<effect>\" wurde von der Schwarzen Liste entfernt!",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Text for the player frame.

    Frame_Text_Dead = {
        [ en ] = "Defeated",
        [ fr ] = "Vaincu",
        [ de ] = "Besiegt",
        [ ru ] = ""
    },

    Frame_Text_Offline = {
        [ en ] = "Offline",
        [ fr ] = "Hors ligne",
        [ de ] = "Offline",
        [ ru ] = ""
    },

    Frame_Text_Ready = {
        [ en ] = "Ready",
        [ fr ] = "Prêt",
        [ de ] = "Fertig",
        [ ru ] = ""
    },

    Frame_Text_Waiting = {
        [ en ] = "Waiting",
        [ fr ] = "En attente",
        [ de ] = "Wartet",
        [ ru ] = ""
    },

    Frame_Text_Not_Ready = {
        [ en ] = "Not Ready",
        [ fr ] = "Pas prêt",
        [ de ] = "Nicht fertig",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --UI

    UI_Textbox_Effect = {
        [ en ] = "Effect Name",
        [ fr ] = "Nom de l’effet",
        [ de ] = "Effektname",
        [ ru ] = ""
    },

    UI_Button_Reset = {
        [ en ] = "Reset",
        [ fr ] = "Réinitialiser",
        [ de ] = "Zurücksetzen",
        [ ru ] = ""
    },

    UI_Button_Center = {
        [ en ] = "Center",
        [ fr ] = "Centrer",
        [ de ] = "Mitte",
        [ ru ] = ""
    },

    UI_Dropdown_Left = {
        [ en ] = "Left",
        [ fr ] = "Gauche",
        [ de ] = "Links",
        [ ru ] = ""
    },

    UI_Dropdown_Center = {
        [ en ] = "Center",
        [ fr ] = "Centre",
        [ de ] = "Mitte",
        [ ru ] = ""
    },

    UI_Dropdown_Right = {
        [ en ] = "Right",
        [ fr ] = "Droite",
        [ de ] = "Rechts",
        [ ru ] = ""
    },

    UI_Dropdown_Top = {
        [ en ] = "Top",
        [ fr ] = "Haut",
        [ de ] = "Oben",
        [ ru ] = ""
    },

    UI_Dropdown_Bottom = {
        [ en ] = "Bottom",
        [ fr ] = "Bas",
        [ de ] = "Unten",
        [ ru ] = ""
    },

    UI_Dropdown_Top_Left = {
        [ en ] = "Top Left",
        [ fr ] = "En haut à gauche",
        [ de ] = "Oben Links",
        [ ru ] = ""
    },

    UI_Dropdown_Top_Right= {
        [ en ] = "Top Right",
        [ fr ] = "En haut à droite",
        [ de ] = "Oben Rechts",
        [ ru ] = ""
    },

    UI_Dropdown_Bottom_Left = {
        [ en ] = "Bottom Left",
        [ fr ] = "En bas à gauche",
        [ de ] = "Unten Links",
        [ ru ] = ""
    },

    UI_Dropdown_Bottom_Right = {
        [ en ] = "Bottom Right",
        [ fr ] = "En bas à droite",
        [ de ] = "Unten Rechts",
        [ ru ] = ""
    },

    UI_Dropdown_Format_1 = {
        [ en ] = "%",
        [ fr ] = "%",
        [ de ] = "%",
        [ ru ] = ""
    },

    UI_Dropdown_Format_2 = {
        [ en ] = "Current",
        [ fr ] = "Actuel",
        [ de ] = "Aktuell",
        [ ru ] = ""
    },

    UI_Dropdown_Format_3 = {
        [ en ] = "Current + %",
        [ fr ] = "Actuel + %",
        [ de ] = "Aktuell + %",
        [ ru ] = ""
    },

    UI_Dropdown_Format_4 = {
        [ en ] = "Current / Max",
        [ fr ] = "Actuel / Max",
        [ de ] = "Aktuell / Max",
        [ ru ] = ""
    },

    UI_Dropdown_Format_5 = {
        [ en ] = "Current / Max + %",
        [ fr ] = "Actuel / Max + %",
        [ de ] = "Aktuell / Max + %",
        [ ru ] = ""
    },

    UI_Dropdown_Format_6 = {
        [ en ] = "Current ( K )",
        [ fr ] = "Actuel ( K )",
        [ de ] = "Aktuell ( K )",
        [ ru ] = ""
    },

    UI_Dropdown_Format_7 = {
        [ en ] = "Current + % ( K )",
        [ fr ] = "Actuel + % ( K )",
        [ de ] = "Aktuell + % ( K )",
        [ ru ] = ""
    },

    UI_Dropdown_Format_8 = {
        [ en ] = "Current / Max ( K )",
        [ fr ] = "Actuel / Max ( K )",
        [ de ] = "Aktuell / Max ( K )",
        [ ru ] = ""
    },

    UI_Dropdown_Format_9 = {
        [ en ] = "Current / Max + % ( K )",
        [ fr ] = "Actuel / Max + % ( K )",
        [ de ] = "Aktuell / Max + % ( K )",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Quick Menu

    QuickMenu_Record = {
        [ en ] = "Recording:",
        [ fr ] = "Enregistrement :",
        [ de ] = "Aufzeichnen:",
        [ ru ] = ""
    },

    QuickMenu_Status_On = {
        [ en ] = "On",
        [ fr ] = "Marche",
        [ de ] = "An",
        [ ru ] = ""
    },

    QuickMenu_Status_Off = {
        [ en ] = "Off",
        [ fr ] = "Arrêt",
        [ de ] = "Aus",
        [ ru ] = ""
    },

    QuickMenu_Options = {
        [ en ] = "Options",
        [ fr ] = "Options",
        [ de ] = "Optionen",
        [ ru ] = ""
    },

    QuickMenu_Effects = {
        [ en ] = "Effects",
        [ fr ] = "Effets",
        [ de ] = "Effekte",
        [ ru ] = ""
    },

    QuickMenu_Toggle = {
        [ en ] = "Toggle",
        [ fr ] = "Basculer",
        [ de ] = "Umschalten",
        [ ru ] = ""
    },

    QuickMenu_Reload = {
        [ en ] = "Reload",
        [ fr ] = "Recharger",
        [ de ] = "Neu laden",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Options menu

    Options = {
        [ en ] = "MiniRaid Options",
        [ fr ] = "Options de Miniraid",
        [ de ] = "MiniRaid Optionen",
        [ ru ] = ""
    },

    Options_Vanilla_Toggle = {
        [ en ] = "Disable Vanilla Party Vitals",
        [ fr ] = "Barres de vie du groupe originales",
        [ de ] = "Originale Lebensanzeige der Gefährten ausblenden",
        [ ru ] = ""
    },

    Options_Vanilla_Player_Toggle = {
        [ en ] = "Disable Vanilla Player Vitals",
        [ fr ] = "Barre de vie du joueur originale",
        [ de ] = "Originale Lebensanzeige des Spielers ausblenden",
        [ ru ] = ""
    },

    Options_QuickMenu = {
        [ en ] = "Enable UI quickmenu button",
        [ fr ] = "Activer le bouton de menu rapide dans l’IU",
        [ de ] = "Button für UI Schnellmenü aktivieren",
        [ ru ] = ""
    },

    Options_QuickMenu_Note = {
        [ en ] = "Enables a quickmenu button with a dropdown menu for easy access to the entire plugin. Hold shift and drag with your mouse to the position where you want it.",
        [ fr ] = "Affiche un bouton avec un menu déroulant qui permet un accès rapide à l’intégralité du plugin. Maintenez Maj et tirez-le avec votre souris pour le déplacer où vous le souhaitez.",
        [ de ] = "Aktiviert einen Button mit einem ausklappbaren Menü, das schnellen Zugriff auf das gesamte Plugin bietet. Zum Positionieren die Umschalttaste/Shift gedrückt halten und mit der Maus an die gewünschte Position ziehen. ",
        [ ru ] = ""
    },

    Options_Preview = {
        [ en ] = "Preview",
        [ fr ] = "Aperçu",
        [ de ] = "Vorschau",
        [ ru ] = ""
    },

    --Tabs

    Options_Tab_1 = {
        [ en ] = "Help",
        [ fr ] = "Aide",
        [ de ] = "Hilfe",
        [ ru ] = ""
    },

    Options_Tab_2 = {
        [ en ] = "Misc",
        [ fr ] = "Divers",
        [ de ] = "Versch",
        [ ru ] = ""
    },

    Options_Tab_3 = {
        [ en ] = "Font",
        [ fr ] = "Police",
        [ de ] = "Schriftart",
        [ ru ] = ""
    },

    Options_Tab_4 = {
        [ en ] = "Class",
        [ fr ] = "Classe",
        [ de ] = "Klasse",
        [ ru ] = ""
    },

    Options_Tab_5 = {
        [ en ] = "Color",
        [ fr ] = "Couleur",
        [ de ] = "Farbe",
        [ ru ] = ""
    },

    Options_Tab_6 = {
        [ en ] = "Frame",
        [ fr ] = "Cadre",
        [ de ] = "Rahmen",
        [ ru ] = ""
    },

    Options_Tab_7 = {
        [ en ] = "Layout",
        [ fr ] = "Disposition",
        [ de ] = "Layout",
        [ ru ] = ""
    },

    --Layout

    Options_Layout_Party_3 = {
        [ en ] = "1 - 3 Players",
        [ fr ] = "1 - 3 joueurs",
        [ de ] = "1 - 3 Spieler",
        [ ru ] = ""
    },

    Options_Layout_Party_6 = {
        [ en ] = "4 - 6 Players",
        [ fr ] = "4 - 6 joueurs",
        [ de ] = "4 - 6 Spieler",
        [ ru ] = ""
    },

    Options_Layout_Party_12 = {
        [ en ] = "7 - 12 Players",
        [ fr ] = "7 - 12 joueurs",
        [ de ] = "7 - 12 Spieler",
        [ ru ] = ""
    },

    Options_Layout_Party_18 = {
        [ en ] = "13 - 18 Players",
        [ fr ] = "13 - 18 joueurs",
        [ de ] = "13 - 18 Spieler",
        [ ru ] = ""
    },

    Options_Layout_Party_24 = {
        [ en ] = "19 - 24 Players",
        [ fr ] = "19 - 24 joueurs",
        [ de ] = "19 - 24 Spieler",
        [ ru ] = ""
    },

    Options_Layout_Party_Description = {
        [ en ] = "Usage: Allows you to set the grid layout for different party sizes.",
        [ fr ] = "Utilisation : Vous permet de choisir la disposition de la grille pour des groupes de différentes tailles.",
        [ de ] = "Benutzung: Ermöglicht das Konfigurieren eines Raster-Layouts für verschiedene Gruppengrößen.",
        [ ru ] = ""
    },

    Options_Layout_Horizontal = {
        [ en ] = "Horizontal Layout Direction",
        [ fr ] = "Disposition horizontale",
        [ de ] = "Horizontale Layoutausrichtung",
        [ ru ] = ""
    },

    Options_Layout_Vertical = {
        [ en ] = "Vertical Layout Direction",
        [ fr ] = "Disposition verticale",
        [ de ] = "Vertikale Layoutausrichtung",
        [ ru ] = ""
    },

    Options_Layout_Spacing = {
        [ en ] = "Spacing",
        [ fr ] = "Espacement",
        [ de ] = "Abstand",
        [ ru ] = ""
    },

    Options_Layout_Position = {
        [ en ] = "Position",
        [ fr ] = "Position",
        [ de ] = "Position",
        [ ru ] = ""
    },

    Options_Layout_Preview = {
        [ en ] = "Enable Layout Preview",
        [ fr ] = "Activer l’aperçu de la disposition",
        [ de ] = "Layoutvorschau aktivieren",
        [ ru ] = ""
    },

    Options_Layout_Preview_Count = {
        [ en ] = "Player Count ( Preview )",
        [ fr ] = "Nombre de joueurs ( Aperçu )",
        [ de ] = "Spieleranzahl ( Vorschau )",
        [ ru ] = ""
    },

    Options_Layout_Unique_Player_Pos = {
        [ en ] = "Detach player frame from the party layout",
        [ fr ] = "Détacher le cadre du joueur de la disposition du groupe",
        [ de ] = "Spielerrahmen vom Gruppenlayout abdocken",
        [ ru ] = ""
    },

    Options_Layout_Unique_Player_Position = {
        [ en ] = "Player Frame Position",
        [ fr ] = "Position du cadre du joueur",
        [ de ] = "Position des Spielerrahmens",
        [ ru ] = ""
    },

    Options_Layout_Combat_Hide = {
        [ en ] = "Hide Layout When Out Of Combat",
        [ fr ] = "Cacher la disposition hors-combat",
        [ de ] = "Layout außerhalb des Kampfes ausblenden",
        [ ru ] = ""
    },

    Options_Layout_Show_Solo = {
        [ en ] = "Show Player Frame While Not In A Party",
        [ fr ] = "Montrer le cadre du joueur quand vous n’êtes pas groupé",
        [ de ] = "Spielerrahmen anzeigen, wenn dieser nicht in einer Gruppe ist",
        [ ru ] = ""
    },

    Options_Layout_Alphabetical_Sorting = {
        [ en ] = "Force party vitals to be sorted alphabetically",
        [ fr ] = "",
        [ de ] = "",
        [ ru ] = ""
    },

    --Frame

    Options_Frame_Size = {
        [ en ] = "Frame Size",
        [ fr ] = "Taille du cadre",
        [ de ] = "Rahmengröße",
        [ ru ] = ""
    },

    Options_Frame_Power_Size = {
        [ en ] = "Power Bar Size",
        [ fr ] = "Taille de la barre de Puissance",
        [ de ] = "Größe des Kraftbalkens",
        [ ru ] = ""
    },

    Options_Frame_Selection_Size = {
        [ en ] = "Selection Size",
        [ fr ] = "Taille de la sélection",
        [ de ] = "Größe der Auswahl",
        [ ru ] = ""
    },

    Options_Frame_Name_Position = {
        [ en ] = "Name Position",
        [ fr ] = "Position du nom",
        [ de ] = "Position des Namens",
        [ ru ] = ""
    },

    Options_Frame_Name_Anchor = {
        [ en ] = "Name Anchor Point",
        [ fr ] = "Ancrage du nom",
        [ de ] = "Verankerungspunkt für Namen",
        [ ru ] = ""
    },

    Options_Frame_Name_Size = {
        [ en ] = "Name Width",
        [ fr ] = "Largeur du nom",
        [ de ] = "Breite des Namensfeldes",
        [ ru ] = ""
    },

    Options_Frame_Name_Preview = {
        [ en ] = "Show Bounds ( Preview )",
        [ fr ] = "Montrer les limites ( Aperçu )",
        [ de ] = "Begrenzung anzeigen ( Vorschau )",
        [ ru ] = ""
    },

    Options_Frame_Class_Position = {
        [ en ] = "Class Icon Position",
        [ fr ] = "Position de l’icône de classe",
        [ de ] = "Position für das Klassensymbol",
        [ ru ] = ""
    },

    Options_Frame_Class_Anchor = {
        [ en ] = "Class Icon Anchor Point",
        [ fr ] = "Ancrage de l’icône de classe",
        [ de ] = "Verankerungspunkt für das Klassensymbol",
        [ ru ] = ""
    },

    Options_Frame_Class_Size = {
        [ en ] = "Class Icon Size",
        [ fr ] = "Taille de l’icône de classe",
        [ de ] = "Größe des Klassensymbols",
        [ ru ] = ""
    },

    Options_Frame_Leader_Position = {
        [ en ] = "Leader Icon Position",
        [ fr ] = "Position de l’icône de chef",
        [ de ] = "Position des Anführersymbols",
        [ ru ] = ""
    },

    Options_Frame_Leader_Anchor = {
        [ en ] = "Leader Icon Anchor Point",
        [ fr ] = "Ancrage de l’icône de chef",
        [ de ] = "Verankerungspunkt für das Anführersymbol",
        [ ru ] = ""
    },

    Options_Frame_Leader_Size = {
        [ en ] = "Leader Icon Size",
        [ fr ] = "Taille de l’icône de chef",
        [ de ] = "Größe des Anführersymbols",
        [ ru ] = ""
    },

    Options_Frame_Morale_Position = {
        [ en ] = "Morale Text Position",
        [ fr ] = "Position du texte du Moral",
        [ de ] = "Position des Moralwerts",
        [ ru ] = ""
    },

    Options_Frame_Morale_Anchor = {
        [ en ] = "Morale Text Anchor Point",
        [ fr ] = "Ancrage du texte du Moral",
        [ de ] = "Verankerungspunkt für den Moralwert",
        [ ru ] = ""
    },

    Options_Frame_Morale_Format = {
        [ en ] = "Morale Text Format",
        [ fr ] = "Format du texte du Moral",
        [ de ] = "Textformat für den Moralwert",
        [ ru ] = ""
    },

    Options_Frame_Power_Position = {
        [ en ] = "Power Text Position",
        [ fr ] = "Position du texte de la Puissance",
        [ de ] = "Position des Kraftwerts",
        [ ru ] = ""
    },

    Options_Frame_Power_Anchor = {
        [ en ] = "Power Text Anchor Point",
        [ fr ] = "Ancrage du texte de la Puissance",
        [ de ] = "Verankerungspunkt für den Kraftwert",
        [ ru ] = ""
    },

    Options_Frame_Power_Format = {
        [ en ] = "Power Text Format",
        [ fr ] = "Format du texte de la Puissance",
        [ de ] = "Textformat für den Kraftwert",
        [ ru ] = ""
    },

    Options_Frame_Effect_Position = {
        [ en ] = "Effects Position",
        [ fr ] = "Position des effets",
        [ de ] = "Position für die Effektanzeige",
        [ ru ] = ""
    },

    Options_Frame_Effect_Anchor = {
        [ en ] = "Effects Anchor Point",
        [ fr ] = "Ancrage des effets",
        [ de ] = "Verankerungspunkt für die Effektanzeige",
        [ ru ] = ""
    },

    Options_Frame_Effect_Size = {
        [ en ] = "Effect Size",
        [ fr ] = "Taille des effets",
        [ de ] = "Anzeigegröße von Effekten",
        [ ru ] = ""
    },

    Options_Frame_Effect_Spacing = {
        [ en ] = "Effect Spacing",
        [ fr ] = "Espacement des effets",
        [ de ] = "Effektanzeige: Abstände",
        [ ru ] = ""
    },

    Options_Frame_Effect_Flash_Threshold = {
        [ en ] = "Effect Flash Threshold",
        [ fr ] = "Seuil de clignotement des effets",
        [ de ] = "Effektanzeige: Schwelle für Blinken",
        [ ru ] = ""
    },

    Options_Frame_Effect_Duration_Threshold = {
        [ en ] = "Effect Duration Threshold",
        [ fr ] = "Seuil de durée des effets",
        [ de ] = "Effektanzeige: Schwelle für Effektdauer",
        [ ru ] = ""
    },

    Options_Frame_Effect_Count_Preview = {
        [ en ] = "Effect Count ( Preview )",
        [ fr ] = "Compte d’effets ( Aperçu )",
        [ de ] = "Effektanzeige: Anzahl ( Vorschau )",
        [ ru ] = ""
    },

    Options_Frame_Effect_Max_Row = {
        [ en ] = "Max Effects Per Row",
        [ fr ] = "Nombre max d’effets par ligne",
        [ de ] = "Maximale Effekte pro Reihe",
        [ ru ] = ""
    },

    Options_Frame_Special_Position = {
        [ en ] = "Special Effect Position",
        [ fr ] = "Position des effets spéciaux",
        [ de ] = "Position für die Anzeige von Spezialeffekten",
        [ ru ] = ""
    },

    Options_Frame_Special_Anchor = {
        [ en ] = "Special Effect Anchor Point",
        [ fr ] = "Point d’ancrage des effets spéciaux",
        [ de ] = "Verankerungspunkt für Spezialeffekte",
        [ ru ] = ""
    },

    Options_Frame_Special_Size = {
        [ en ] = "Special Effect Size",
        [ fr ] = "Taille des effets spéciaux",
        [ de ] = "Größe von Spezialeffekten",
        [ ru ] = ""
    },

    --Color

    Options_Color_Morale = {
        [ en ] = "Morale",
        [ fr ] = "Moral",
        [ de ] = "Moral",
        [ ru ] = ""
    },

    Options_Color_Power = {
        [ en ] = "Power",
        [ fr ] = "Puissance",
        [ de ] = "Kraft",
        [ ru ] = ""
    },

    Options_Color_Bubble = {
        [ en ] = "Bubble",
        [ fr ] = "Bulle",
        [ de ] = "Bubble",
        [ ru ] = ""
    },

    Options_Color_Dead = {
        [ en ] = "Defeated",
        [ fr ] = "Vaincu",
        [ de ] = "Besiegt",
        [ ru ] = ""
    },

    Options_Color_Background = {
        [ en ] = "Background",
        [ fr ] = "Arrière-plan",
        [ de ] = "Hintergrund",
        [ ru ] = ""
    },

    Options_Color_Threshold = {
        [ en ] = "Threshold",
        [ fr ] = "Seuil",
        [ de ] = "Schwelle",
        [ ru ] = ""
    },

    Options_Color_Selected = {
        [ en ] = "Selected",
        [ fr ] = "Sélection",
        [ de ] = "Auswahl",
        [ ru ] = ""
    },

    Options_Color_Hover = {
        [ en ] = "Hover",
        [ fr ] = "Noms flottants",
        [ de ] = "Mouseover",
        [ ru ] = ""
    },

    Options_Color_Unique_Morale = {
        [ en ] = "Unique Morale",
        [ fr ] = "Moral unique",
        [ de ] = "Eigene Moral",
        [ ru ] = ""
    },

    Options_Color_Wrath = {
        [ en ] = "Beorning Wrath",
        [ fr ] = "Colère du Béornide",
        [ de ] = "Beorninger: Zorn",
        [ ru ] = ""
    },

    Options_Color_Font_Name = {
        [ en ] = "Name Font",
        [ fr ] = "Police des noms",
        [ de ] = "Name: Schriftart",
        [ ru ] = ""
    },

    Options_Color_Font_Unique_Name = {
        [ en ] = "Unique Name Font",
        [ fr ] = "Police de nom unique",
        [ de ] = "Schriftart für den eigenen Namen",
        [ ru ] = ""
    },

    Options_Color_Font_Morale = {
        [ en ] = "Morale Font",
        [ fr ] = "Police du Moral",
        [ de ] = "Schriftart für Moralwerte",
        [ ru ] = ""
    },

    Options_Color_Font_Name_Outline = {
        [ en ] = "Name Font Outline",
        [ fr ] = "Entourage de la police des noms",
        [ de ] = "Textumriss für Namen",
        [ ru ] = ""
    },

    Options_Color_Font_Unique_Name_Outline = {
        [ en ] = "Unique Name Font Outline",
        [ fr ] = "Entourage de la police de nom unique",
        [ de ] = "Textumriss für den eigenen Namen",
        [ ru ] = ""
    },

    Options_Color_Font_Special = {
        [ en ] = "Special Effect Font",
        [ fr ] = "Police des effets spéciaux",
        [ de ] = "Schriftart für Spezialeffekte",
        [ ru ] = ""
    },

    --Class

    Options_Class_Hunter = {
        [ en ] = "Hunter",
        [ fr ] = "Chasseur",
        [ de ] = "Jäger",
        [ ru ] = ""
    },

    Options_Class_Warden = {
        [ en ] = "Warden",
        [ fr ] = "Sentinelle",
        [ de ] = "Hüter",
        [ ru ] = ""
    },

    Options_Class_Burglar = {
        [ en ] = "Burglar",
        [ fr ] = "Cambrioleur",
        [ de ] = "Schurke",
        [ ru ] = ""
    },

    Options_Class_Captain = {
        [ en ] = "Captain",
        [ fr ] = "Capitaine",
        [ de ] = "Hauptmann",
        [ ru ] = ""
    },

    Options_Class_Champion = {
        [ en ] = "Champion",
        [ fr ] = "Champion",
        [ de ] = "Waffenmeister",
        [ ru ] = ""
    },

    Options_Class_Guardian = {
        [ en ] = "Guardian",
        [ fr ] = "Gardien",
        [ de ] = "Wächter",
        [ ru ] = ""
    },

    Options_Class_Minstrel = {
        [ en ] = "Minstrel",
        [ fr ] = "Ménestrel",
        [ de ] = "Barde",
        [ ru ] = ""
    },

    Options_Class_Beorning = {
        [ en ] = "Beorning",
        [ fr ] = "Béornide",
        [ de ] = "Beorninger",
        [ ru ] = ""
    },

    Options_Class_LoreMaster = {
        [ en ] = "Lore-master",
        [ fr ] = "Maître du savoir",
        [ de ] = "Kundiger",
        [ ru ] = ""
    },

    Options_Class_RuneKeeper = {
        [ en ] = "Rune-keeper",
        [ fr ] = "Gardien des runes",
        [ de ] = "Runenbewahrer",
        [ ru ] = ""
    },

    Options_Class_Brawler = {
        [ en ] = "Brawler",
        [ fr ] = "",
        [ de ] = "",
        [ ru ] = ""
    },

    Options_Class_Weaver = {
        [ en ] = "Weaver",
        [ fr ] = "Tisseuse",
        [ de ] = "Spinne",
        [ ru ] = ""
    },

    Options_Class_Reaver = {
        [ en ] = "Reaver",
        [ fr ] = "Faucheur",
        [ de ] = "Schnitter",
        [ ru ] = ""
    },

    Options_Class_Defiler = {
        [ en ] = "Defiler",
        [ fr ] = "Profanateur",
        [ de ] = "Saboteur",
        [ ru ] = ""
    },

    Options_Class_Stalker = {
        [ en ] = "Stalker",
        [ fr ] = "Traqueur",
        [ de ] = "Warg",
        [ ru ] = ""
    },

    Options_Class_WarLeader = {
        [ en ] = "Warleader",
        [ fr ] = "Chef de guerre",
        [ de ] = "Kriegsanführer",
        [ ru ] = ""
    },

    Options_Class_BlackArrow = {
        [ en ] = "Blackarrow",
        [ fr ] = "Flèche Noire",
        [ de ] = "Schwarzpfeil",
        [ ru ] = ""
    },

    --Font

    Options_Font_Type = {
        [ en ] = "Type",
        [ fr ] = "Type",
        [ de ] = "Art",
        [ ru ] = ""
    },

    Options_Font_Size = {
        [ en ] = "Size",
        [ fr ] = "Taille",
        [ de ] = "Größe",
        [ ru ] = ""
    },

    Options_Font_Outline = {
        [ en ] = "Outline",
        [ fr ] = "Contour",
        [ de ] = "Umriss",
        [ ru ] = ""
    },

    Options_Font_Name = {
        [ en ] = "Name Text",
        [ fr ] = "Texte du nom de joueur",
        [ de ] = "Text: Name",
        [ ru ] = ""
    },

    Options_Font_Morale = {
        [ en ] = "Morale Text",
        [ fr ] = "Texte du Moral",
        [ de ] = "Text: Moral",
        [ ru ] = ""
    },

    Options_Font_Power = {
        [ en ] = "Power Text",
        [ fr ] = "Texte de la Puissance",
        [ de ] = "Text: Kraft",
        [ ru ] = ""
    },

    Options_Font_Effect = {
        [ en ] = "Effect Duration Text",
        [ fr ] = "Texte de durée d’effet",
        [ de ] = "Text: Effektdauer",
        [ ru ] = ""
    },

    Options_Font_Special = {
        [ en ] = "Special Effect Duration Text",
        [ fr ] = "Texte de durée d’effet spécial",
        [ de ] = "Text: Dauer von Spezialeffekten",
        [ ru ] = ""
    },

    --Misc

    Options_Misc_Classic_Power = {
        [ en ] = "Enable Classic Power Bar",
        [ fr ] = "Activer la barre de puissance d’origine",
        [ de ] = "Klassischen Kraftbalken anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Class_Icon = {
        [ en ] = "Enable Class Icon",
        [ fr ] = "Activer l’icône de classe",
        [ de ] = "Klassensymbol anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Leader_Icon = {
        [ en ] = "Enable Leader Icon",
        [ fr ] = "Activer l’icône de chef de groupe",
        [ de ] = "Anführersymbol anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Name_Text = {
        [ en ] = "Enable Name Text",
        [ fr ] = "Activer les textes des noms",
        [ de ] = "Textnamen anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Power_Text = {
        [ en ] = "Enable Power Text",
        [ fr ] = "Activer les textes de Puissance",
        [ de ] = "Kraftwert anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Morale_Text = {
        [ en ] = "Enable Morale Text",
        [ fr ] = "Activer les textes de Moral",
        [ de ] = "Moralwert anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Track_All = {
        [ en ] = "Track All Effects ( Self Only )",
        [ fr ] = "Suivre tous les effets ( pour soi uniquement )",
        [ de ] = "Alle Effekte verfolgen ( nur für den eigenen Charakter )",
        [ ru ] = ""
    },
    
    Options_Misc_Track_CC = {
        [ en ] = "Track CC Effects ( Self Only )",
        [ fr ] = "Suivre les effets de contrôle ( pour soi uniquement )",
        [ de ] = "CC-Effekte verfolgen ( nur für den eigenen Charakter )",
        [ ru ] = ""
    },

    Options_Misc_Track_Debuff = {
        [ en ] = "Track Debuff Effects ( Self Only )",
        [ fr ] = "Suivre tous les effets de débuffs ( pour soi uniquement )",
        [ de ] = "Debuff-Effekte verfolgen ( nur für den eigenen Charakter )",
        [ ru ] = ""
    },

    Options_Misc_Track_Curable = {
        [ en ] = "Track Curable Effects ( Self Only )",
        [ fr ] = "Suivre tous les effets curables ( pour soi uniquement )",
        [ de ] = "nehmbare Effekte verfolgen ( nur für den eigenen Charakter )",
        [ ru ] = ""
    },

    Options_Misc_Effect = {
        [ en ] = "Enable Effect",
        [ fr ] = "Activer l’effet",
        [ de ] = "Effektanzeige aktivieren",
        [ ru ] = ""
    },

    Options_Misc_Effect_Duration = {
        [ en ] = "Enable Effect Duration Text",
        [ fr ] = "Activer le texte de durée d’effet",
        [ de ] = "Effektdauer anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Special = {
        [ en ] = "Enable Special Effect",
        [ fr ] = "Activer l’effet spécial",
        [ de ] = "Spezialeffekte: Effektanzeige aktivieren",
        [ ru ] = ""
    },

    Options_Misc_Special_Duration = {
        [ en ] = "Enable Special Effect Duration Text",
        [ fr ] = "Activer le texte de durée d’effet spécial",
        [ de ] = "Spezialeffekte: Effektdauer anzeigen",
        [ ru ] = ""
    },

    Options_Misc_Unique_Name_Color = {
        [ en ] = "Enable Unique Player Name Color",
        [ fr ] = "Activer les couleurs uniques pour chaque nom",
        [ de ] = "Individuelle Farbe für den eigenen Namen aktivieren",
        [ ru ] = ""
    },

    Options_Misc_Unique_Morale_Color = {
        [ en ] = "Enable Unique Player Morale Color",
        [ fr ] = "Activer les couleurs uniques pour chaque Moral",
        [ de ] = "Individuelle Farbe für den eigenen Moralwert aktivieren",
        [ ru ] = ""
    },

    Options_Misc_Class_Morale_Color = {
        [ en ] = "Enable Class Morale Color",
        [ fr ] = "Activer les couleurs spécifiques à la classe pour le Moral",
        [ de ] = "Klassenspezifische Farbe für Moralwerte aktivieren",
        [ ru ] = ""
    },

    Options_Misc_Morale_Threshold = {
        [ en ] = "Morale Threshold",
        [ fr ] = "Seuil de Moral",
        [ de ] = "Moralschwelle",
        [ ru ] = ""
    },

    Options_Misc_Reset = {
        [ en ] = "Reset All Options",
        [ fr ] = "Réinitialiser tout",
        [ de ] = "Alle Optionen zurücksetzen",
        [ ru ] = ""
    },

    Options_Misc_Reset_Confirmation = {
        [ en ] = "Are you sure you want to reset the entire plugin?",
        [ fr ] = "Êtes-vous sûr de vouloir réinitialiser l’intégralité du plugin ?",
        [ de ] = "Bist du sicher, dass du das gesamte Plugin zurücksetzen willst?",
        [ ru ] = ""
    },

    Options_Misc_Reset_Confirmation_Yes = {
        [ en ] = "Yes",
        [ fr ] = "Oui",
        [ de ] = "Ja",
        [ ru ] = ""
    },

    Options_Misc_Reset_Confirmation_No = {
        [ en ] = "No",
        [ fr ] = "Non",
        [ de ] = "Nein",
        [ ru ] = ""
    },

    Options_Misc_Reset_Description = {
        [ en ] = "WARNING! This will completely reset the entire plugin to all default values!",
        [ fr ] = "ATTENTION ! Ceci réinitialisera complètement l’intégralité du plugin à ses valeurs par défaut !",
        [ de ] = "WARNUNG! Dieser Vorgang wird das gesamte Plugin auf seine Standardeinstellungen zurücksetzen!",
        [ ru ] = ""
    },

    Options_Misc_Load = {
        [ en ] = "Load Global Settings",
        [ fr ] = "Charger les paramètres globaux",
        [ de ] = "Globale Einstellungen laden",
        [ ru ] = ""
    },

    Options_Misc_Load_Confirmation = {
        [ en ] = "Are you sure you want to overwrite your local settings with your global settings?",
        [ fr ] = "Êtes-vous sûr de vouloir écraser vos paramètres locaux avec vos paramètres globaux ?",
        [ de ] = "Bist du sicher, dass du deine lokalen Einstellungen mit deinen globalen Einstellungen überschreiben willst?",
        [ ru ] = ""
    },

    Options_Misc_Save = {
        [ en ] = "Save Global Settings",
        [ fr ] = "Sauvegarder les paramètres globaux",
        [ de ] = "Globale Einstellungen speichern",
        [ ru ] = ""
    },

    Options_Misc_Save_Confirmation = {
        [ en ] = "Are you sure you want to overwrite your global settings with your local settings?",
        [ fr ] = "Êtes-vous sûr de vouloir écraser vos paramètres globaux avec vos paramètres locaux ?",
        [ de ] = "Bist du sicher, dass du deine globalen Enstellungen mit deinen lokalen Einstellungen überschreiben willst?",
        [ ru ] = ""
    },

    --Help

    Options_Help = {
        [ en ] = "General functionality:\n\n" ..
                 "- You can rearrange the players in the grid by holding shift and using your mouse to drag them\n  around.\n\n" ..
                 "- You can customize the party layout even if you're not in a group by going to the 'Layout' tab and\n  enabling 'Layout Preview'.\n\n" ..
                 "- You can manually change the position of the party layout while in 'layout preview mode' by holding\n  shift and dragging it with your mouse.\n\n" ..
                 "- You can manually change the position of the quickmenu by holding shift and dragging it with your\n  mouse.\n\n" ..
                 "- If you are tracking 'Do Not Fall This Day' either as a normal or special effect it will remain on the\n  target if it dies while it's active. This is to help you save the use of your revival skills for when they are\n  really needed.\n\n" ..
                 "\nEffect Manager:\n\n" ..
                 "- To add effects to your library simply turn on effect recording which can be done in either three ways:\n  /miniraid record, by pressing the quickmenu button or by pressing the record button in the effect\n  window.\n\n" ..
                 "- New effects that are recorded and that don't currently exist in your library, will also be added to\n  the 'Recent' tab so you can easily see if you found any new effects.\n\n" ..
                 "- You can easily find any effect stored in your library or in any of the other tabs, both by filtering them\n  and searching for a specific keyword.\n\n" ..
                 "- After you have added an effect to your Tracking or Alerts simply go to the respective tab and select\n  the effect for further customization.\n\n" ..
                 "- You can choose to track an effect both on yourself and other players independently, this is the same\n  with Alerts.\n\n" ..
                 "- The 'Alert System' has a default message which is simply '<effect> on <player>', but you can customize the\n  message both for effects that you get and that others get. To include the name of the player in the\n  message simply write <player> and it will be replaced with the appropriate name.\n\n" ..
                 "- The Blacklist tab is currently only used on the effects that you get yourself, if you have enabled\n  tracking of debuffs/curables or everything.\n\n" ..
                 "\nKnown Issues:\n\n" ..
                 "- Ready checks are not currently possible to implement due to the related functions being broken in\n  Lua.\n\n" ..
                 "- Beorning Wrath only works if you're the Beorning, other players Wrath are not accessible from Lua.\n\n" ..
                 "- All effects can be tracked on yourself without any issues but due to the related functions being\n  broken in Lua, tracking some effects on other people will not work properly.\n\n" ..
                 "    - Tracking static effects which have no duration is not recommended on other players.\n\n" ..
                 "    - Tracking curable effects on other players is not recommended as they can potentially be removed.\n\n" ..
                 "    - Tracking effects that can be removed before their duration expires is not recommended on other\n      players.\n\n" ..
                 "    - This issue does not affect the 'Alert System', feel free to add any effect you want to it.\n\n" ..
                 "- Due to the same bug with tracking effects on other players. Effects that stack such as the Minstrel\n  skill 'Soliloquy of Spirit' that can stack up to 3 times, will not work properly on other players unless\n  you manually set it to the correct stack amount.\n\n" ..
                 "\nChat Commands:\n\n" ..
                 "    /miniraid options    ( Opens the option menu )\n" ..
                 "    /miniraid effects    ( Opens the effect menu )\n" ..
                 "    /miniraid record    ( Toggles the effect recording )\n" ..
                 "    /miniraid reload    ( Reloads the plugin manually )\n" ..
                 "    /miniraid player    ( Toggles the vanilla player vitals )\n" ..
                 "    /miniraid party    ( Toggles the vanilla party vitals )\n" ..
                 "    /miniraid help    ( Displays all the chat commands )\n" ..
                 "\n\nContact Info:\n\n" ..
                 "If you have any feedback or questions about the plugin feel free to contact me either on Discord at 'Narim#9557' or ingame on 'Nimaya' ( Evernight ).",
        [ fr ] = "Fonctionnement général :\n\n" ..
                  "- Vous pouvez réarranger les joueurs dans la grille en maintenant Maj et en utilisant votre souris pour les tirer ailleurs.\n\n" ..
                  "- Vous pouvez customiser la disposition de groupe même si vous n'êtes pas dans un groupe en allant dans l'onglet 'Disposition' et en activant 'Aperçu'. \n\n" ..
                  "- Vous pouvez changer manuellement la position de la disposition de groupe en mode 'Aperçu de la disposition' en maintenant Maj et en la tirant avec votre souris.\n\n" ..
                  "- Vous pouvez changer manuellement la position du menu rapide en maintenant Maj et en le tirant avec votre souris.\n\n" ..
                  "- Si vous suivez l'effet 'Tu ne succomberas pas aujourd'hui' en tant qu'effet normal ou spécial, il restera sur la cible si elle meurt pendant qu'il est actif. C'est fait pour vous aider à garder vos rez pour le moment où vous en avez vraiment besoin. \n\n" ..
                  "\nGestionnaire d'effets :\n\n" ..
                  "- Pour ajouter des effets dans votre librairie d'effets, vous n'avez qu'à activer l'enregistrement des effets, ce qui peut être fait de trois façons : taper /miniraid enregistrer, appuyer sur le bouton du menu rapide, ou appuyer sur le bouton d'enregistrement des effets dans la fenêtre des effets.\n\n" ..
                  "- Les nouveaux effets enregistrés et qui ne sont pas encore présents dans votre bibliothèque sont également ajoutés à l'onglet 'Récent', vous pouvez ainsi voir facilement si vous avez trouvé de nouveaux effets.\n\n" ..
                  "- Vous pouvez facilement trouver n'importe quel effet stocké dans votre bibliothèque ou dans l'un des autres onglets en les filtrant ou en cherchant un mot-clé spécifique.\n\n" ..
                  "- Après que vous ayez ajouté un effet à Suivi ou Alertes, allez dans l'onglet correspondant et sélectionnez l'effet pour plus le customiser.\n\n" ..
                  "- Vous pouvez choisir de suivre un effet sur vous ou sur les autres joueurs de façon indépendante, même chose pour les Alertes.\n\n" ..
                  "- Le système d'Alertes a un message par défaut qui est simplement '<effet> sur <joueur>', mais vous pouvez customiser le message pour les effets sur vous et pour les effets sur les autres. Pour inclure le nom du joueur dans le message, écrivez juste <player> et il sera remplacé par le nom approprié.\n\n" ..
                  "- L'onglet Liste noire n'est pour le moment utilisé que sur les effets que vous subissez, si vous avez activé le suivi des débuffs, des effets curables ou de tous les effets.\n\n" ..
                  "\nProblèmes connus :\n\n" ..
                  "- Les vérifications de préparation ne sont pas implémentables pour le moment car les fonctions Lua qui le permettent sont buguées.\n\n" ..
                  "- La Colère du béornide ne fonctionne que si vous êtes le béornide, la Colère des autres joueurs n'est pas accessible en Lua.\n\n" ..
                  "- Tous les effets peuvent être suivis sur vous-même sans aucun problème, mais à cause de bugs sur les fonctions reliées à ça en Lua, le suivi de certains effets sur d'autres joueurs ne fonctionne pas correctement.\n\n" ..
                  "    - Suivre des effets statiques sans durée sur d'autres joueurs n'est pas recommandé.\n\n" ..
                  "    - Suivre des effets curables sur d'autres joueurs n'est pas recommandé, car ils peuvent être enlevés.\n\n" ..
                  "    - Suivre des effets qui peuvent être enlevés avant la fin de leur durée sur d'autres joueurs n'est pas recommandé.\n\n" ..
                  "    - Ce problème ne concerne toutefois pas le Système d'Alertes, vous pouvez y ajouter n'importe quel effet sans souci.\n\n" ..
                  "- En raison du même bug qui affecte le suivi des effets sur d'autres joueurs, les effets stackables comme la compétence de Ménestrel 'Esprit de soliloque', qui peut se stacker jusqu'à trois fois, ne marcheront pas correctement sur les autres joueurs à moins que vous ne le régliez manuellement au bon niveau de stack.\n\n" ..
                  "\nCommandes du chat :\n\n" ..
                  "    /miniraid options     ( Ouvre le menu des options )\n" ..
                  "    /miniraid effets        ( Ouvre le menu des effets )\n" ..
                  "    /miniraid enregistrer    ( Toggles the effect recording )\n" ..
                  "    /miniraid recharger ( Recharge manuellement le plugin )\n" ..
                  "    /miniraid player    ( Toggles the vanilla player vitals )\n" ..
                  "    /miniraid party    ( Toggles the vanilla party vitals )\n" ..
                  "    /miniraid aide            ( Affiche toutes les commandes du chat ) \n" ..
                  "\n\n Informations de contact : \n\n" ..
                  "Si vous avez un retour ou des questions sur le plugin, n'hésitez pas à me contacter soit sur Discord sur 'Narim#9557', soit en jeu sur 'Nimaya' ( Evernight ).",
        [ de ] = "Allgemeine Benutzungshinweise:\n\n" ..
                 "- Du kannst die Spieler im Raster frei anordnen, indem du Umschalt/Shift gedrückt hältst und sie mit der Maus ziehst.\n\n" ..
                 "- Du kannst das Gruppenlayout auch dann verändern, wenn du nicht in einer Gruupe bist. Geh einfach in den Tab\n  'Layout' und aktiviere 'Layout Vorschau'.\n\n" ..
                 "- Du kannst die Position des Gruppenlayouts manuell verschieben während du dich im Modus 'Layout ( Vorschau )'\n  befindest, indem du Shift/Umschalt gedrückt hältst und es mit der Maus ziehst.\n\n" ..
                 "- Du kannst die Position des Schnellmenüs manuell verschieben wenn du Shift/Umschalt gedrückt hältst und es mit\n  deiner Maus dahin ziehst wo du es haben willst.\n\n" ..
                 "- Wenn du 'Tod heute nicht unterliegen' entweder als normalen Effekt oder als Spezialeffekt verfolgst, wird es dir auf\n  dem Ziel auch nach dessen Tod angezeigt, solange es aktiv ist. So kannst du deine Rezzes für Ziele aufsparen, die sie\n  wirklich brauchen.\n\n" ..
                 "\nEffekt Manager:\n\n" ..
                 "- Um Effekte zu deiner Bibliothek hinzuzufügen schalte einfach die Effektaufnahme an. Dazu hast du drei Möglichkeiten:\n  Über den Befehl /miniraid aufzeichnen, über den Schnellmenü-Button oder indem du auf den 'Aufzeichnen' Button im\n  Effektfenster drückst.\n\n" ..
                 "- Neue Effekte, die aufgezeichnet werden und noch nicht in deiner Bibliothek existieren, werden im Tab 'Kürzlich'\n  aufgeführt, damit du schnell und einfach sehen kannst, ob du irgendwelche neuen Effekte gefunden hast.\n\n" ..
                 "- Du kannst jeden verzeichneten Effekt ganz einfach in deiner Bibliothek oder jedem anderen Tab finden. Du kannst\n  entweder die Liste filtern oder sie nach einem spezifischen Begriff durchsuchen.\n\n" ..
                 "- Nachdem du einen Effekt in deine Liste für Effektverfolgung oder Warnungen aufgenommen hast, kannst du im\n  entsprechenden Tab weitere individuelle Einstellungen dafür festlegen.\n\n" ..
                 "- Du kannst für alle Effekte unabhängig voneinander festlegen, ob du sie nur bei dir selbst oder/und bei anderen Spielern\n  verfolgen willst. Gleiches gilt für Warnungen.\n\n" ..
                 "- Der Standardtext im 'Warnsystem' ist '<Effekt> auf <Spieler>', aber du kannst die Nachricht individuell anpassen -\n  sowohl für Effekte, die auf dich angewendet werden, als auch für Effekte, die auf anderen Spielern auftreten. Um den\n  Namen des spezifischen Spielers in der Nachricht anzuzeigen, schreib einfach <Spieler>. Es wird dann immer durch den\n  richtigen Namen ersetzt.\n\n" ..
                 "- Der Tab für die Schwarze Liste funktioniert momentan nur für Effekte, die du selbst bekommst, wenn du die\n  Aufzeichnung von Debuffs/nehmbaren Effekten oder Allem aktiviert hast.\n\n" ..
                 "\nBekannte Probleme:\n\n" ..
                 "- Bereitschaftskontrollen können aktuell leider nicht implementiert werden, weil die entsprechenden Funktionen in\n  Lua defekt sind.\n\n" ..
                 "- Beorninger: Zornanzeige funktioniert nur, wenn du selbst der Beorninger bist. Informationen zum Zorn anderer\n  Beorninger sind in Lua derzeit nicht zugänglich.\n\n" ..
                 "- Auf dir selbst können alle Effekte einwandfrei verfolgt werden, aber aufgrund von Problemen mit defekten Funktionen\n  in Lua funktioniert das Verfolgen mancher Effekte auf anderen Spielern aktuell leider nicht lückenlos.\n\n" ..
                 "    - Das Verfolgen statischer Effekte ohne spezifizierte Dauer wird deshalb auf anderen Spielern nicht empfohlen.\n\n" ..
                 "    - Das Verfolgen nehmbarer Effekte auf anderen Spielern wird nicht empfohlen, da sie möglicherweise genommen sein\n      könnten.\n\n" ..
                 "    - Das Verfolgen von Effekten, die vor Ablauf ihrer Dauer genommen werden können, wird auf anderen Spielern nicht\n      empfohlen.\n\n" ..
                 "    - Diese Problematik betrifft nicht das 'Warnsystem'. Füge dort gern jeden Effekt hinzu, den du wilst.\n\n" ..
                 "- Aufgrund desselben Bugs, der das Verfolgen von Effekten auf anderen Spielern erschwert, fuktioniert das Verfolgen\n  von stapelbaren Effekten wie z.B. beim Barden 'Selbstgespräch des Geistes' auf anderen Spielern nur dann, wenn du\n  manuell die korrekte Menge an Stapeln dafür eingestellt hast.\n\n" ..
                 "\nChatbefehle:\n\n" ..
                 "    /miniraid optionen    ( Öffnet das Optionen-Menü )\n" ..
                 "    /miniraid effekte    ( Öffnet das Effekte-Menü )\n" ..
                 "    /miniraid aufnehmen    ( Toggles the effect recording )\n" ..
                 "    /miniraid neu laden    ( Lädt das Plugin manuell neu )\n" ..
                 "    /miniraid player    ( Toggles the vanilla player vitals )\n" ..
                 "    /miniraid party    ( Toggles the vanilla party vitals )\n" ..
                 "    /miniraid hilfe    ( Zeigt alle Chatbefehle an )\n" ..
                 "\n\nKontaktinformationen:\n\n" ..
                 "Solltest du Feedback oder irgendwelche Fragen zu diesem Plugin haben, dann kontaktiere mich gern entweder auf Discord unter 'Narim#9557' oder im Spiel unter 'Nimaya' ( Evernight ).",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Effects menu

    Effects = {
        [ en ] = "MiniRaid Effects",
        [ fr ] = "Effets de Miniraid",
        [ de ] = "MiniRaid Effekte",
        [ ru ] = ""
    },

    Effects_Record = {
        [ en ] = "Record effects",
        [ fr ] = "Effets enregistrés",
        [ de ] = "Effekte aufzeichnen",
        [ ru ] = ""
    },

    Effects_Record_Active = {
        [ en ] = "Recording...",
        [ fr ] = "Enregistrement...",
        [ de ] = "Aufzeichnung aktiv...",
        [ ru ] = ""
    },

    Effects_Record_Active_Stop = {
        [ en ] = "Stop Recording",
        [ fr ] = "Arrêt de l’enregistrement",
        [ de ] = "Aufzeichnung stoppen",
        [ ru ] = ""
    },

    Effects_Record_Inactive = {
        [ en ] = "Stopped",
        [ fr ] = "Arrêté",
        [ de ] = "gestoppt",
        [ ru ] = ""
    },

    Effects_Record_Inactive_Start = {
        [ en ] = "Start Recording",
        [ fr ] = "Démarrer l’enregistrement",
        [ de ] = "Aufzeichnung starten",
        [ ru ] = ""
    },

    Effects_Enable = {
        [ en ] = "Enable Effects",
        [ fr ] = "Activer les effets",
        [ de ] = "Effekte aktivieren",
        [ ru ] = ""
    },

    Effects_Enable_Alert = {
        [ en ] = "Enable Alerts",
        [ fr ] = "Activer les alertes",
        [ de ] = "Warnungen aktivieren",
        [ ru ] = ""
    },

    Effects_Enable_Special = {
        [ en ] = "Enable Special Effect",
        [ fr ] = "Activer les effets spéciaux",
        [ de ] = "Spezialeffekt aktivieren",
        [ ru ] = ""
    },

    Effects_Track_Debuff = {
        [ en ] = "Track debuffs on yourself",
        [ fr ] = "Suivre les affaiblissements sur vous",
        [ de ] = "Selbst: Debuffs verfolgen",
        [ ru ] = ""
    },

    Effects_Track_Curable = {
        [ en ] = "Track curables on yourself",
        [ fr ] = "Suivre les effets curables sur vous",
        [ de ] = "Selbst: Nehmbare Effekte verfolgen",
        [ ru ] = ""
    },

    Effects_Track_All = {
        [ en ] = "Track everything on yourself",
        [ fr ] = "Suivre tout sur vous",
        [ de ] = "Selbst: Alles verfolgen",
        [ ru ] = ""
    },

    --Tabs

    Effects_Tab_1 = {
        [ en ] = "Blacklist",
        [ fr ] = "Liste noire",
        [ de ] = "Schwarze Liste",
        [ ru ] = ""
    },

    Effects_Tab_2 = {
        [ en ] = "Special",
        [ fr ] = "Spécial",
        [ de ] = "Spezial",
        [ ru ] = ""
    },

    Effects_Tab_3 = {
        [ en ] = "Alerts",
        [ fr ] = "Alertes",
        [ de ] = "Warnungen",
        [ ru ] = ""
    },

    Effects_Tab_4 = {
        [ en ] = "Tracking",
        [ fr ] = "Suivi",
        [ de ] = "Verfolgung",
        [ ru ] = ""
    },

    Effects_Tab_5 = {
        [ en ] = "Library",
        [ fr ] = "Bibliothèque",
        [ de ] = "Archiv",
        [ ru ] = ""
    },

    Effects_Tab_6 = {
        [ en ] = "Recent",
        [ fr ] = "Récent",
        [ de ] = "Kürzlich",
        [ ru ] = ""
    },
    
    ------------------------------------------------------

    --Info

    Effects_Info_Header = {
        [ en ] = "Selected Effect",
        [ fr ] = "Effet sélectionné",
        [ de ] = "Ausgewählter Effekt",
        [ ru ] = ""
    },

    Effects_Info_Header_Special = {
        [ en ] = "Special Effect",
        [ fr ] = "Effet spécial",
        [ de ] = "Spezialeffekt",
        [ ru ] = ""
    },

    Effects_Info_Debuff = {
        [ en ] = "Debuff: ",
        [ fr ] = "Débuff : ",
        [ de ] = "Debuff: ",
        [ ru ] = ""
    },

    Effects_Info_Curable = {
        [ en ] = "Curable: ",
        [ fr ] = "Curable : ",
        [ de ] = "Nehmbar: ",
        [ ru ] = ""
    },

    Effects_Info_Duration = {
        [ en ] = "Duration: ",
        [ fr ] = "Durée : ",
        [ de ] = "Dauer: ",
        [ ru ] = ""
    },

    Effects_Info_Category = {
        [ en ] = "Category: ",
        [ fr ] = "Catégorie : ",
        [ de ] = "Kategorie: ",
        [ ru ] = ""
    },

    Effects_Info_Description = {
        [ en ] = "Description: ",
        [ fr ] = "Description : ",
        [ de ] = "Beschreibung: ",
        [ ru ] = ""
    },

    --List

    Effects_List_Filter = {
        [ en ] = "Filter:",
        [ fr ] = "Filtre :",
        [ de ] = "Filter:",
        [ ru ] = ""
    },

    Effects_List_All = {
        [ en ] = "All",
        [ fr ] = "Tout",
        [ de ] = "Alle",
        [ ru ] = ""
    },

    Effects_List_Debuffs = {
        [ en ] = "Debuffs",
        [ fr ] = "Affaiblissements",
        [ de ] = "Debuffs",
        [ ru ] = ""
    },

    Effects_List_Curables = {
        [ en ] = "Curables",
        [ fr ] = "Curables",
        [ de ] = "Nehmbare",
        [ ru ] = ""
    },

    Effects_List_Search = {
        [ en ] = "Search",
        [ fr ] = "Chercher",
        [ de ] = "Suchen",
        [ ru ] = ""
    },

    --Config

    Effects_Config_Header = {
        [ en ] = "Configuration",
        [ fr ] = "Configuration",
        [ de ] = "Einstellungen",
        [ ru ] = ""
    },

    Effects_Config_Track_Self = {
        [ en ] = "Track on yourself",
        [ fr ] = "Suivre sur vous-même",
        [ de ] = "Selbst: Verfolgen",
        [ ru ] = ""
    },

    Effects_Config_Track_Others = {
        [ en ] = "Track on others",
        [ fr ] = "Suivre sur les autres",
        [ de ] = "Andere: Verfolgen",
        [ ru ] = ""
    },

    Effects_Config_Stack = {
        [ en ] = "Effect stack amount",
        [ fr ] = "Quantité de piles d’effets",
        [ de ] = "Menge an Effektstapeln",
        [ ru ] = ""
    },

    Effects_Config_Note = {
        [ en ] = "Note: This slider is incase the effect can stack more than once on other players, it does nothing on yourself. An example would be the Minstrel skill 'Soliloquy of Spirit' which can stack up to three times per player.",
        [ fr ] = "Note: Ce curseur est au cas où l’effet peut s’empiler plus d’une fois sur d’autres joueurs, cela ne fait rien sur vous. Un exemple serait la compétence de ménestrel ‘Esprit de Soliloque’ qui peut s’empiler jusqu’à trois fois par joueur.",
        [ de ] = "Erklärung: Dieser Regler bezieht sich auf den Fall, dass ein Effekt mehrfach auf andere Spieler gestapelt werden kann. Er hat keine Auswirkungen auf dich selbst. Beispiel: 'Selbstgespräch des Geistes' vom Barden kann dreifach auf einen Spieler gestapelt werden.",
        [ ru ] = ""
    },

    --Alert Config

    Effects_Config_Alert_Header = {
        [ en ] = "Configuration",
        [ fr ] = "Configuration",
        [ de ] = "Einstellungen",
        [ ru ] = ""
    },

    Effects_Config_Alert_Enable_Self = {
        [ en ] = "Alert effect on yourself",
        [ fr ] = "Effet d’alerte sur vous-même",
        [ de ] = "Warnen, wenn der Effekt auf dir selbst aktiv wird",
        [ ru ] = ""
    },

    Effects_Config_Alert_Message_Self = {
        [ en ] = "Custom message for yourself",
        [ fr ] = "Message personnalisé pour vous-même",
        [ de ] = "Individuelle Warnnachricht für dich selbst",
        [ ru ] = ""
    },

    Effects_Config_Alert_Enable_Others = {
        [ en ] = "Alert effect on others",
        [ fr ] = "Effet d’alerte sur les autres",
        [ de ] = "Warnen, wenn der Effekt auf anderen Spielern aktiv wird",
        [ ru ] = ""
    },

    Effects_Config_Alert_Message_Others = {
        [ en ] = "Custom message for others",
        [ fr ] = "Message personnalisé pour les autres",
        [ de ] = "Individuelle Warnnachricht für andere Ziele",
        [ ru ] = ""
    },

    Effects_Config_Alert_Placeholder = {
        [ en ] = "Default",
        [ fr ] = "Défaut",
        [ de ] = "Standard",
        [ ru ] = ""
    },

    Effects_Config_Alert_Note = {
        [ en ] = "This allows you to override the alert message displayed on your screen with your own message. You can include <player> in the message, which will be replaced with the name of the player who got the effect." ..
                 "\n\nExample: \"Watch out, <player> is bound!\"",
        [ fr ] = "Ceci vous permet de remplacer le message d’alerte affiché sur votre écran avec votre propre message. Vous pouvez inclure <joueur> dans le message, qui sera remplacé par le nom du joueur qui a l’effet." ..
                 "\n\nExemple: \"Attention, <joueur> est lié!\"",
        [ de ] = "Diese Einstelkung ermöglicht es dir, die Standardnachricht auf deinem Bildschirm durch einen individuellen Text zu ersetzen. Du kannst <spieler> in die Nachricht einbauen. Das wird dann durch den Namen des Spielers ersetzt, der den Effekt hat." ..
                 "\n\nBeispiel: \"Achtung, <spieler> ist eingebunden!\"",
        [ ru ] = ""
    },

    ------------------------------------------------------

    --Button

    Effects_Button_Track = {
        [ en ] = "Add effect to tracking",
        [ fr ] = "Ajouter l’effet au suivi",
        [ de ] = "Effekt zur Verfolgung hinzufügen",
        [ ru ] = ""
    },

    Effects_Button_Alert = {
        [ en ] = "Add effect to alerts",
        [ fr ] = "Ajouter l’effet aux alertes",
        [ de ] = "Effekt zu Warnungen hinzufügen",
        [ ru ] = ""
    },

    Effects_Button_Blacklist = {
        [ en ] = "Add effect to the blacklist",
        [ fr ] = "Ajouter l’effet à la liste noire",
        [ de ] = "Effekt auf die Schwarze Liste setzen",
        [ ru ] = ""
    },

    Effects_Button_Special = {
        [ en ] = "Set effect as special effect",
        [ fr ] = "Définir l’effet comme effet spécial",
        [ de ] = "Effekt als Spezialeffekt festlegen",
        [ ru ] = ""
    },

    Effects_Button_Remove = {
        [ en ] = "Remove Effect",
        [ fr ] = "Enlever l’effet",
        [ de ] = "Effekt entfernen",
        [ ru ] = ""
    }
}