local len   = string.len
local sub   = string.sub
local fmod  = math.fmod
local floor = math.floor
local pairs = pairs

function _G.RGBToHex( ... )
    local hexadecimal = '#'
    
    rgb = { ... }

	for key, value in pairs( rgb ) do
		local hex = ''

		while value > 0 do
            local index = fmod( value, 16 ) + 1
            
            hex   = sub( "0123456789ABCDEF", index, index ) .. hex	
			value = floor( value / 16 )		
		end

		if len( hex ) == 0 then
			hex = '00'
        elseif len( hex ) == 1 then
			hex = '0' .. hex
		end

		hexadecimal = hexadecimal .. hex
	end

	return hexadecimal
end

function _G.Color( red, green, blue, alpha )
    return Turbine.UI.Color( ( alpha or 255 ) / 255, red / 255, green / 255, blue / 255 )
end