local len    = string.len
local sub    = string.sub
local find   = string.find
local format = string.format

local mod    = math.mod
local floor  = math.floor

local concat = table.concat

function string.formatSeconds( time )
    local minutes = floor( time / 60 )
    local seconds = floor( mod( time, 60 ) )
    
    return format( "%02d:%02d", minutes, seconds )
end

function string.explode( separator, str )
    if separator == "" then return end
    if not str then return end

	local ret = {}
	local current_pos = 1

    for i = 1, len( str ) do
        
        local start_pos, end_pos = find( str, separator, current_pos )
        
        if not start_pos then break end
        
        ret[ i ] = sub( str, current_pos, start_pos - 1 )
        
		current_pos = end_pos + 1
	end

	ret[ #ret + 1 ] = sub( str, current_pos )

	return ret
end

function string.replace( str, find, replace )
    local tbl = string.explode( find, str )
    
    if tbl[ 1 ] then return concat( tbl, replace ) end
    
	return str
end